java.text.spi

## Class DecimalFormatSymbolsProvider

- java.lang.Object
- - java.util.spi.LocaleServiceProvider
  - - java.text.spi.DecimalFormatSymbolsProvider

    public abstract class DecimalFormatSymbolsProvider
    extends LocaleServiceProvider

An abstract class for service providers that provide instances of the `DecimalFormatSymbols` class.

Since:
  1.6

### Constructor Summary

Constructors
`protected` `DecimalFormatSymbolsProvider()` Sole constructor.

### Method Summary

Methods
`abstract DecimalFormatSymbols` `getInstance(Locale locale)` Returns a new `DecimalFormatSymbols` instance for the specified locale.

### Methods inherited from class java.util.spi.LocaleServiceProvider

`getAvailableLocales`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DecimalFormatSymbolsProvider

    protected DecimalFormatSymbolsProvider()

Sole constructor. (For invocation by subclass constructors, typically implicit.)

### Method Detail

#### getInstance

    public abstract DecimalFormatSymbols getInstance(Locale locale)

Returns a new `DecimalFormatSymbols` instance for the specified locale.

Parameters:
  `locale` - the desired locale
Returns:
  a `DecimalFormatSymbols` instance.
Throws:
  `NullPointerException` - if `locale` is null
  `IllegalArgumentException` - if `locale` isn't one of the locales returned from `getAvailableLocales()`.
See Also:
  `DecimalFormatSymbols.getInstance(java.util.Locale)`

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.